[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Python 2.4.4 FC6 SRPM



On Thu, 2007-05-10 at 09:11 +0200, Gianluca Sforna wrote:
> On 5/9/07, Debarshi 'Rishi' Ray <debarshi ray gmail com> wrote:
> > I installed the Python 2.4.4 FC6 SRPM on my Fedora 7 test 4 system and
> > tried to build it using: $ rpmbuild -ba python.spec. However this
> > leads to an error in the %build stage.
> >
> > gcc -pthread -fPIC -fno-strict-aliasing -O2 -g -pipe -Wall
> > -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
> > --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
> > -fasynchronous-unwind-tables -D_GNU_SOURCE -fPIC
> > -I/usr/kerberos/include   -I. -I./Include  -I/usr/include/db4 -c
> > ./Modules/_bsddb.c -o Modules/_bsddb.o
> > ./Modules/_bsddb.c: In function 'DBEnv_set_lk_max':
> > ./Modules/_bsddb.c:3844: error: 'DB_ENV' has no member named 'set_lk_max'
> 
> <snip>
> > What is wrong?
> 
> API changes in the F7 db4 package?

Yes, set_lk_max is now deprecated in 4.5.20 and set_lk_max_locks,
set_lk_max_lockers and set_lk_max_objects should be used instead:

http://pybsddb.sourceforge.net/api_c/env_set_lk_max.html

and here's a code snippet how to do that:

http://archives.free.net.ph/message/20070419.041636.7d21bfad.en.html

Jindrich


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]